DisplayLink Forum

DisplayLink Forum (https://displaylink.org/forum/index.php)
-   Linux and Open Source (https://displaylink.org/forum/forumdisplay.php?f=29)
-   -   EVDI compilation error in Ubuntu 18.04 w/ kernel 5.4.0-84 (https://displaylink.org/forum/showthread.php?t=67888)

gc51 09-15-2021 01:27 PM

EVDI compilation error in Ubuntu 18.04 w/ kernel 5.4.0-84
 
Hi all,
I am trying to install the drivers for Ubuntu 18.04 with Kernel 5.4.0-84.

I tried with DisplayLink driver 5.4.1 (listed as ubuntu 20.04). It installs, but then Xorg enters a login loop, so it doesn't work (wayland logs in but the screen doesn't work either).

So then I tried to install the latest one for 18.04, which is DisplayLink driver 5.2.14 and it shows an error:
Code:

Verifying archive integrity...  100%  All good.
Uncompressing DisplayLink Linux Driver 5.2.14  100% 
DisplayLink Linux Software 5.2.14 install script called: install
Distribution discovered: Ubuntu 18.04.6 LTS
Installing
Configuring EVDI DKMS module
Registering EVDI kernel module with DKMS
Building EVDI kernel module with DKMS
ERROR (code 3): Failed to build evdi/5.2.14. Consult /var/lib/dkms/evdi/5.2.14/build/make.log for details..

From here: https://github.com/DisplayLink/evdi/issues/215 I found it may be an issue with the kernel and evdi, but I am not sure how to install evdi and displaylink separately (nor if that would work), if that was to work. Anyone else working on Ubuntu 18.04 who may lend a hand?

gc51 09-15-2021 05:53 PM

After checking a bit I think this may be caused by the propertary nvidia drivers. I am pretty sure I was using displaylink before with nvidia drivers in the past, but I guess something ahs changed since?

Anyone has used nvidia drivers and displaylink correctly?


All times are GMT. The time now is 11:37 PM.

Powered by vBulletin® Version 3.8.7
Copyright ©2000 - 2021, vBulletin Solutions, Inc.